/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.biobeans.modules.biocore.actions;

import java.util.ArrayList;
import java.util.Collection;
import org.biobeans.modules.biocore.sequences.SeqProvider;
import org.biojava.bio.seq.Sequence;
import org.openide.nodes.Node;
import org.openide.util.Lookup;

/** A SequenceProviderAction that performs export on all sequences found
 * in the set of activated nodes.
 *
 * @author gwaldon
 */
public abstract class AllSequenceProviderAction extends SequenceProviderAction {
    
    @Override
    protected void performAction(Node[] activatedNodes) {
        int highpos = getHighestPosition(activatedNodes);
        
        Collection<Sequence> seqcol = new ArrayList<>();
        
        for (Node activatedNode : activatedNodes) {
            Lookup context = activatedNode.getLookup();
            Collection<? extends SeqProvider> c = context.lookupAll(SeqProvider.class);
            
            for (SeqProvider provider : c) {
                int position = provider.getSeqPosition();
                if(position==highpos) {
                    Sequence[] sarr = provider.getSequences();
                    for(int i=0; i<sarr.length;i++) {
                        if(isSupported(sarr[i])==true) {
                            if(!seqcol.contains(sarr[i])) {
                                seqcol.add(sarr[i]);
                            }
                        }
                    }
                }
            }
        }
        
        if (seqcol.size() > 0) {
            Sequence[] seqs = seqcol.toArray(new Sequence[seqcol.size()]);
            invokeNodeAction(activatedNodes[0], seqs, false);
        }
    }
}
