/*
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 *
 * The contents of this file are subject to the terms of either the GNU
 * General Public License Version 2 only ("GPL") or the Common
 * Development and Distribution License("CDDL") (collectively, the
 * "License"). You may not use this file except in compliance with the
 * License. You can obtain a copy of the License at
 * http://www.netbeans.org/cddl-gplv2.html
 * or bbbuild/licenses/cddl-gpl-2-cp.txt. See the License for the
 * specific language governing permissions and limitations under the
 * License.  When distributing the software, include this License Header
 * Notice in each file and include the License file at
 * bbbuild/licenses/cddl-gpl-2-cp.txt.  This particular file is subject to
 * the "Classpath" exception as provided in the GPL Version 2 section of the
 * License file that accompanied this code. If applicable, add the following
 * below the License Header, with the fields enclosed by brackets [] replaced by
 * your own identifying information:
 * "Portions Copyrighted [year] [name of copyright owner]"
 *
 * If you wish your version of this file to be governed by only the CDDL
 * or only the GPL Version 2, indicate your decision by adding
 * "[Contributor] elects to include this software in this distribution
 * under the [CDDL or GPL Version 2] license." If you do not indicate a
 * single choice of license, a recipient has the option to distribute
 * your version of this file under either the CDDL, the GPL Version 2 or
 * to extend the choice of license to its licensees as provided above.
 * However, if you add GPL Version 2 code and therefore, elected the GPL
 * Version 2 license, then the option applies only if the new code is
 * made subject to such option by the copyright holder.
 *
 * Contributor(s):
 * Portions Copyrighted 2013 George Waldon
 */
package org.biobeans.modules.biotoolbar;

import java.beans.PropertyChangeListener;
import javax.swing.JComponent;
import org.netbeans.spi.options.OptionsPanelController;
import org.openide.util.HelpCtx;
import org.openide.util.Lookup;

@OptionsPanelController.SubRegistration(
    location="BioOptions",
    id="BioToolbar",
    displayName="#LBL_BioToolbarOptions",
//    toolTip="",
    keywords="#KW_BioToolbarOptions",
    keywordsCategory="BioOptions/BioToolbar",
    position=100
)
public class BioToolobarOptionsController extends OptionsPanelController {

    @Override
    public void update() {
        getCustomizer().update();
    }

    @Override
    public void applyChanges() {
        getCustomizer().applyChanges();
    }

    @Override
    public void cancel() {
    }

    @Override
    public boolean isValid() {
        return getCustomizer().isDataValid();
    }

    @Override
    public boolean isChanged() {
        return getCustomizer().isChanged();
    }

    @Override
    public JComponent getComponent(Lookup masterLookup) {
        return getCustomizer();
    }

    @Override
    public HelpCtx getHelpCtx() {
        return new HelpCtx ("");
    }

    @Override
    public void addPropertyChangeListener(PropertyChangeListener l) {
        getCustomizer().addPropertyChangeListener( l );
    }

    @Override
    public void removePropertyChangeListener(PropertyChangeListener l) {
        getCustomizer().removePropertyChangeListener( l );
    }
    
    private BioToolbarCustomizer customizer;
    
    private BioToolbarCustomizer getCustomizer() {
        if( null == customizer ) {
            customizer = new BioToolbarCustomizer();
        }
        return customizer;
    }
    
}
