/*                Bistro development code
* 
* This code may be freely distributed and modified under the
* terms of the GNU Lesser General Public Licence.  This should
* be distributed with the code.  If you do not have a copy,
* see:
*
*     http://www.gnu.org/copyleft/lesser.html
* 
* Copyright for this code is held jointly by the individual
* authors.  These should be listed in @author doc comments.
* 
*/
package org.biobeans.modules.bistro.actions.imports;

import java.util.ResourceBundle;
import java.util.logging.Logger;
import org.openide.util.HelpCtx;
import org.openide.util.NbBundle;

/** Import an NCBI sequence.
 *
 * @author  Geoge Waldon
 */

public class ImportGenBankFolderAction extends ImportNCBIFolderAbstractAction {
    
    private static final Logger LOGGER = Logger.getLogger(ImportGenBankFolderAction.class.getName());

    @Override
    String getTaskName() {
        return "bistro:online:ncbi:nucleotidegenbank";
    }
    
    @Override
    String getFileExtension() {
        return "gb";
    }
    
    @Override
    String getDialogLabel() {
        ResourceBundle bundle = NbBundle.getBundle (ImportGenBankFolderAction.class);
        return bundle.getString ("LBL_fetchgenbank");
    }

    @Override
    public String getName() {
        return NbBundle.getMessage(ImportGenBankFolderAction.class, "LBL_importNCBInucseq");
    }

    @Override
    public HelpCtx getHelpCtx() {
        return HelpCtx.DEFAULT_HELP;
    }

}
