/*                Bistro development code
* 
* This code may be freely distributed and modified under the
* terms of the GNU Lesser General Public Licence.  This should
* be distributed with the code.  If you do not have a copy,
* see:
*
*     http://www.gnu.org/copyleft/lesser.html
* 
* Copyright for this code is held jointly by the individual
* authors.  These should be listed in @author doc comments.
* 
*/
package org.biobeans.modules.bistro.activity;

import org.biobeans.modules.bistro.task.ActivityEvent;
import org.biobeans.modules.bistro.dataflow.DataListener;
import org.biobeans.modules.bistro.dataflow.DataPipe;
import org.biobeans.modules.bistro.task.Counter;

/**
 *
 */
public class SimpleInputPort extends SimplePort implements InputPort, DataListener {
    
    public SimpleInputPort(String id, String type, int depth, Activity activity) {
        super(id, type, depth, activity);
    }
    
    @Override
    public void addPipe(DataPipe pipe) {
        super.addPipe(pipe);
        pipe.setSink(this);
    }

    @Override
    public void data(final ActivityEvent de) {
        Counter.pour(new Runnable() {
            @Override
            public void run() {
                inputData(de);
            }
        });
                
    }
    
    @Override
    public void inputData(ActivityEvent de) {
        getActivity().notifyActivity(de);
    }
     
}
