/*                Bistro development code
* 
* This code may be freely distributed and modified under the
* terms of the GNU Lesser General Public Licence.  This should
* be distributed with the code.  If you do not have a copy,
* see:
*
*     http://www.gnu.org/copyleft/lesser.html
* 
* Copyright for this code is held jointly by the individual
* authors.  These should be listed in @author doc comments.
* 
*/
package org.biobeans.modules.bistro.activity.localactivities.biojava;

import org.biobeans.modules.bistro.activity.SimpleConfigurationBean;
import org.openide.util.NbBundle;

/**
 *
 * @author G.Waldon
 */
public class FASTAToBiojavaActivityConfigurationBean extends SimpleConfigurationBean {
    
    /** Type of sequence
     *  0 nucleotide
     *  1 amino acids
     */
    private int seqtype = 0;
    
    public FASTAToBiojavaActivityConfigurationBean() {
        super(NbBundle.getMessage(FASTAToBiojavaActivityConfigurationBean.class, "LBL_FASTAToBiojavaActivity"));
    }
    
    public void setProteinParser(boolean val) {
        if(val) {
            seqtype = 1;
        } else {
            seqtype = 0;
        }
    }
    
    public boolean isProteinParser() {
        return  seqtype == 1;
    }
    
}
