/*                Bistro development code
* 
* This code may be freely distributed and modified under the
* terms of the GNU Lesser General Public Licence.  This should
* be distributed with the code.  If you do not have a copy,
* see:
*
*     http://www.gnu.org/copyleft/lesser.html
* 
* Copyright for this code is held jointly by the individual
* authors.  These should be listed in @author doc comments.
* 
 */
package org.biobeans.modules.bistro.io;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.HashMap;
import java.util.Map;
import org.biobeans.modules.bistro.data.DataContainer;
import org.biobeans.modules.bistro.data.DataContainerAdapter;

/**
 *
 * @author Mark
 */
public class GetStreamProcessor extends AbstractStreamProcessor implements StreamProcessor {

    public GetStreamProcessor() {

    }

    @Override
    public Map<String, DataContainer> processStream(InputStream stream) throws IOException {
        Map<String,DataContainer> outputMap = new HashMap();
        DataContainerAdapter outAdapter = new DataContainerAdapter(outputMap);
        
        StringBuilder sb = new StringBuilder(2000);
        BufferedReader rd = new BufferedReader(new InputStreamReader(stream));
        String str;
        while ((str = rd.readLine()) != null) {
            sb.append(str);
            sb.append(NEWLINE);
        }
        rd.close();

        outAdapter.putString("outputText", sb.toString());

        return outputMap;
    }

}
