/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.biobeans.modules.bistro.nodes;

import java.util.MissingResourceException;
import java.util.ResourceBundle;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.openide.filesystems.FileObject;
import org.openide.loaders.DataFolder;
import org.openide.nodes.Children;
import org.openide.util.NbBundle;

/**
 *
 * @author George Waldon
 */
class ServiceNodeFolder extends ServiceNode {

    private static final Logger LOGGER = Logger.getLogger(ServiceNodeFolder.class.getName());

    private DataFolder df;
    /**
     * Icon resource string for folder node
     */
    private static final String FOLDER_ICON_BASE
            = "org/biobeans/modules/bistro/resources/folder.gif";

    /**
     * name of file attribute with localizing bundle
     */
    private static final String ATTR_BUNDLE = "SystemFileSystem.localizingBundle";

    public ServiceNodeFolder(DataFolder df, Children ch) {
        super(null, ch);
        this.df = df;
        FileObject fo = df.getPrimaryEntry().getFile();
        String bundleName = (String) fo.getAttribute(ATTR_BUNDLE);
        if (bundleName != null) {
            try {
                bundleName = org.openide.util.Utilities.translate(bundleName);
                ResourceBundle b = NbBundle.getBundle(bundleName);
                setDisplayName(b.getString(fo.getPath()));
            } catch (MissingResourceException ex) {
                LOGGER.log(Level.WARNING, "Missing display name for " + fo, ex);
            }
        }
        setName(df.getName());
        setIconBaseWithExtension(FOLDER_ICON_BASE);
    }

}
