/*                Bistro development code
* 
* This code may be freely distributed and modified under the
* terms of the GNU Lesser General Public Licence.  This should
* be distributed with the code.  If you do not have a copy,
* see:
*
*     http://www.gnu.org/copyleft/lesser.html
* 
* Copyright for this code is held jointly by the individual
* authors.  These should be listed in @author doc comments.
* 
 */
package org.biobeans.modules.bistro.services;

import org.biobeans.modules.bistro.dataflow.FlowException;

/**
 * Thrown by the Processor constructor if either of the arguments passed are
 * null, or if the name is the empty string.
 *
 * @author Tom Oinn 
 */
public class ProcessorCreationException extends FlowException {

    public ProcessorCreationException() {
    }

    public ProcessorCreationException(String message) {
        super(message);
    }

    public ProcessorCreationException(Throwable cause) {
        super(cause);
    }

    public ProcessorCreationException(String message, Throwable cause) {
        super(message, cause);
    }
}
