/*                Bistro development code
* 
* This code may be freely distributed and modified under the
* terms of the GNU Lesser General Public Licence.  This should
* be distributed with the code.  If you do not have a copy,
* see:
*
*     http://www.gnu.org/copyleft/lesser.html
* 
* Copyright for this code is held jointly by the individual
* authors.  These should be listed in @author doc comments.
* 
 */
package org.biobeans.modules.bistro.services;

import java.io.IOException;
import org.openide.cookies.InstanceCookie;
import org.openide.loaders.DataFolder;
import org.openide.loaders.FolderInstance;

/**
 * Folder associated to BioService layer.
 *
 * @author George Waldon
 */
class ServiceFolder extends FolderInstance {

    private boolean inCreation = false;

    public ServiceFolder(final DataFolder folder) {
        super(folder);
        inCreation = true;
        recreate(); //recursive instantiation
        //instanceFinished();  //Will block in AWT thread.
        inCreation = false;
    }

    @Override
    protected Object createInstance(InstanceCookie[] cookies) throws IOException, ClassNotFoundException {
        for (int i = 0; i < cookies.length; i++) {
            if (cookies[i] instanceof InstanceCookie.Of) {
                if (((InstanceCookie.Of) cookies[i]).instanceOf(BioService.class)) {
                    Object o = cookies[i].instanceCreate();
                    int h = 0;
                }
            }
        }
        return null;
    }

    @Override
    protected InstanceCookie acceptFolder(DataFolder df) {
        return new ServiceFolder(df);
    }
}
