/*                Bistro development code
* 
* This code may be freely distributed and modified under the
* terms of the GNU Lesser General Public Licence.  This should
* be distributed with the code.  If you do not have a copy,
* see:
*
*     http://www.gnu.org/copyleft/lesser.html
* 
* Copyright for this code is held jointly by the individual
* authors.  These should be listed in @author doc comments.
* 
*/
package org.biobeans.modules.bistro.task;

import java.util.EventObject;
import org.biobeans.modules.bistro.data.DataContainer;

/**
 *
 */
public class ActivityEvent extends EventObject {
    
    private ActivityTask task;
    private final DataContainer data;
    
    public ActivityEvent(ActivityTask task, String id, DataContainer data) {
        super(id);
        this.data = data;
        this.task = task;
    }
    
    public ActivityTask getTask() {
        return task;        
    }
    
    public String getId() {
        return (String) source;
    }
    
    public DataContainer getData() {
        return data;
    }
    
}
