/*                Bistro development code
* 
* This code may be freely distributed and modified under the
* terms of the GNU Lesser General Public Licence.  This should
* be distributed with the code.  If you do not have a copy,
* see:
*
*     http://www.gnu.org/copyleft/lesser.html
* 
* Copyright for this code is held jointly by the individual
* authors.  These should be listed in @author doc comments.
* 
*/
package org.biobeans.modules.bistro.task;

import java.util.EventListener;

/**
 *
 * @author G. Waldon
 */
public interface ActivityTaskListener extends EventListener {
    
    /** Called when a bit of activity is broadcasted.
    * @param event the event associated to this bit of activity.
    */
    public void activityUpdate(ActivityEvent event);
    
    public void taskFinished(ActivityTask task);
}
