/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.biobeans.modules.bistro.activity.rest;

import java.util.HashMap;
import java.util.Map;
import org.biobeans.modules.bistro.activity.localactivities.biojava.UniProtToBiojavaActivity;
import org.biobeans.modules.bistro.activity.localactivities.biojava.UniProtToBiojavaActivityConfigurationBean;
import org.biobeans.modules.bistro.data.DataContainer;
import org.biobeans.modules.bistro.data.DataContainerAdapter;
import org.biojavax.bio.seq.RichSequence;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Georger Waldon
 */
public class RESTActivityTest {
    
    private String albumin = "P02768";
    
    public RESTActivityTest() {
    }

    /**
     * Test of getConfiguration method, of class RESTActivity.
     * @throws java.lang.Exception
     */
    @Test
    public void testActivity() throws Exception {
        Map<String, DataContainer> inputMap1 = new HashMap<>();
        DataContainerAdapter inAdapter1 = new DataContainerAdapter(inputMap1);
        inAdapter1.putString("id", albumin);
        
        RESTActivity ac = new RESTActivity();
        RESTActivityConfigurationBean configbean = RESTActivityConfigurationBean.getDefaultInstance();
        configbean.setUrlSignature("http://www.uniprot.org/uniprot/{id}.txt");
        ac.configure(configbean);
        
        Map<String, DataContainer> outputMap1 = ac.execute(inputMap1);
        DataContainerAdapter outAdapter1 = new DataContainerAdapter(outputMap1);
        String uniprotrecord = outAdapter1.getString("responseBody");

        Map<String, DataContainer> inputMap2 = new HashMap<>();
        DataContainerAdapter inAdapter2 = new DataContainerAdapter(inputMap2);
        inAdapter2.putString("inputText", uniprotrecord);
        
        UniProtToBiojavaActivity uptobAc = new UniProtToBiojavaActivity();
        UniProtToBiojavaActivityConfigurationBean config = 
                new UniProtToBiojavaActivityConfigurationBean();
        uptobAc.configure(config);
        Map<String, DataContainer> outputMap2 = uptobAc.execute(inputMap2);
        DataContainerAdapter outAdapter = new DataContainerAdapter(outputMap2);
        RichSequence rseq = (RichSequence)outAdapter.getSerializable("outputSeq");
        
        assertTrue(rseq.length()==609);   
    }


}
