/*
 *                    BioJava development code
 *
 * This code may be freely distributed and modified under the
 * terms of the GNU Lesser General Public Licence.  This should
 * be distributed with the code.  If you do not have a copy,
 * see:
 *
 *      http://www.gnu.org/copyleft/lesser.html
 *
 * Copyright for this code is held jointly by the individual
 * authors.  These should be listed in @author doc comments.
 *
 * For more information on the BioJava project and its aims,
 * or to join the biojava-l mailing list, visit the home page
 * at:
 *
 *      http://www.biojava.org/
 *
 */
package org.biobeans.demo.biojava;

import javax.swing.AbstractAction;
import org.openide.util.RequestProcessor;
import org.openide.windows.Mode;
import org.openide.windows.TopComponent;
import org.openide.windows.WindowManager;

/**
 *
 * @author George Waldon
 */
abstract class DemoAction extends AbstractAction {

    public DemoAction(String name) {
        super(name);
    }

    protected DemoTopComponent findDemoComponent() {
        WindowManager wm = WindowManager.getDefault();
        Mode mode = wm.findMode("editor"); //NOI18N
        DemoTopComponent dtc = null;
        TopComponent[] tc = mode.getTopComponents();
        for (int i = 0; i < tc.length; i++) {
            if (tc[i] instanceof DemoTopComponent) {
                dtc = (DemoTopComponent) tc[i];
                break;
            }
        }
        if (dtc == null) {
            dtc = DemoTopComponent.findInstance();
            mode.dockInto(dtc);
        }
        return dtc;
    }

    @Override
    public boolean isEnabled() {
        return true;
    }

    protected void runAsynchronously(Runnable r) {
        RequestProcessor.getDefault().post(r);
    }
}
