package org.biobeans.demo.biojava.bj1.seqviewer;

import java.io.*;
import java.awt.*;
import javax.swing.*;

import org.biojava.bio.*;
import org.biojava.bio.symbol.*;
import org.biojava.bio.seq.*;
import org.biojava.bio.gui.sequence.*;
import org.biojava.bio.program.abi.*;
import org.openide.modules.InstalledFileLocator;
import org.openide.util.Exceptions;

public class TraceViewer extends JPanel implements Runnable {

    public void run() {

        //sample.ab1
        String oInput = "abi/sample.ab1";
        File abiFile = InstalledFileLocator.getDefault().locate("files/"+oInput, "", true);

        ABITrace trace = null;
        try {
            trace = new ABITrace(abiFile);
        } catch (IOException ex) {
            Exceptions.printStackTrace(ex);
            return;
        }

        AbiTraceRenderer traceRenderer = new AbiTraceRenderer();
        traceRenderer.setTrace(trace);
        traceRenderer.setDepth(300.0);

        MultiLineRenderer mlr = new MultiLineRenderer();
        mlr.addRenderer(traceRenderer);
        mlr.addRenderer(new SymbolSequenceRenderer());
        mlr.addRenderer(new RulerRenderer());

        SequencePanel sp = new SequencePanel();
        sp.setSequence(SequenceTools.createSequence(
                trace.getSequence(),
                abiFile.toString(),
                abiFile.toString(),
                Annotation.EMPTY_ANNOTATION));
        sp.setDirection(SequencePanel.HORIZONTAL);
        sp.setScale(8.0);
        sp.setRange(new RangeLocation(1, sp.getSymbols().length()));
        sp.setRenderer(mlr);

        setLayout(new BorderLayout());
        add(new JScrollPane(sp), BorderLayout.CENTER);
        revalidate();
    }
}
