/*
 *                    BioJava development code
 *
 * This code may be freely distributed and modified under the
 * terms of the GNU Lesser General Public Licence.  This should
 * be distributed with the code.  If you do not have a copy,
 * see:
 *
 *      http://www.gnu.org/copyleft/lesser.html
 *
 * Copyright for this code is held jointly by the individual
 * authors.  These should be listed in @author doc comments.
 *
 * For more information on the BioJava project and its aims,
 * or to join the biojava-l mailing list, visit the home page
 * at:
 *
 *      http://www.biojava.org/
 *
 */
package org.biobeans.demo.biojava.test;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.PrintWriter;
import org.openide.awt.ActionID;
import org.openide.awt.ActionReference;
import org.openide.awt.ActionReferences;
import org.openide.awt.ActionRegistration;
import org.openide.util.NbBundle.Messages;
import org.openide.windows.IOProvider;
import org.openide.windows.InputOutput;

@ActionID(category = "Tools",
id = "org.biobeans.demo.biojava.test.BioJavaTestAction")
@ActionRegistration(iconBase = "org/biobeans/demo/biojava/resources/biojava.gif",
displayName = "#CTL_BioJavaTestAction")
@ActionReferences({
    @ActionReference(path = "Menu/Demos", position = -100, separatorAfter = -50)
})
@Messages("CTL_BioJavaTestAction=Test BioJava")
public final class BioJavaTestAction implements ActionListener {

    @Override
    public void actionPerformed(ActionEvent e) {
        // Implement BioJava code to be tested here.
        
        InputOutput io = IOProvider.getDefault().getIO("BioJava", false);
        io.select();
        io.setFocusTaken(false);
        
        final PrintWriter pw = io.getOut();
        try {
            pw.println("biojava test done");
            pw.println();
        } 
        finally {
            pw.close();
        }
        
    }
}
