/*                Bistro development code
* 
* This code may be freely distributed and modified under the
* terms of the GNU Lesser General Public Licence.  This should
* be distributed with the code.  If you do not have a copy,
* see:
*
*     http://www.gnu.org/copyleft/lesser.html
* 
* Copyright for this code is held jointly by the individual
* authors.  These should be listed in @author doc comments.
* 
*/
package org.biobeans.modules.bistro.activity.onlineactivities.ncbi;

import org.biobeans.modules.bistro.activity.SimpleConfigurationBean;

/**
 *
 * @author George Waldon
 */
public class EFetchActivityConfigurationBean extends SimpleConfigurationBean {
    
    private String url = "https://eutils.ncbi.nlm.nih.gov/entrez/eutils/efetch.fcgi";
    private String retmode;
    private String db;
    private String rettype;
        
    public EFetchActivityConfigurationBean(String name) {
        super(name);
    }
    
    public String getRetmode() {
        return retmode;
    }
    
    public void setRetmode(String retmode) {
        this.retmode = retmode;
    }
    
    public String getDatabase() {
        return db;
    }
    
    public void setDatabase(String db) {
        this.db = db;
    }
    
    public String getRettype() {
        return rettype;
    }
    
    public void setRettype(String rettype) {
        this.rettype = rettype;
    }
    
    public String getURL() {
        return url;
    }
    
    public void setURL(String url) {
        this.url = url;
    }
    
}
