/*                Bistro development code
* 
* This code may be freely distributed and modified under the
* terms of the GNU Lesser General Public Licence.  This should
* be distributed with the code.  If you do not have a copy,
* see:
*
*     http://www.gnu.org/copyleft/lesser.html
* 
* Copyright for this code is held jointly by the individual
* authors.  These should be listed in @author doc comments.
* 
 */
package org.biobeans.modules.bistro.onlineservices.ncbi;

import java.util.logging.Logger;
import org.biobeans.modules.bistro.activity.Activity;
import org.biobeans.modules.bistro.activity.ActivityConfigurationException;
import org.biobeans.modules.bistro.services.BioService;
import org.openide.util.NbBundle;
import org.biobeans.modules.bistro.activity.onlineactivities.ncbi.ProteinGenPeptActivity;
import org.biobeans.modules.bistro.activity.onlineactivities.ncbi.ProteinGenPeptActivityConfigurationBean;

/**
 *
 * @author George Waldon
 */
public class ProteinGenPeptService extends AbstractEFectchService {

    private static final Logger LOGGER = Logger.getLogger(ProteinGenPeptService.class.getName());

    private static ProteinGenPeptService service;

    public static BioService getDefault() {
        if (service == null) {
            service = new ProteinGenPeptService();
        }
        return service;
    }

    public ProteinGenPeptService() {
        setName(NbBundle.getMessage(ProteinGenPeptService.class, "LBL_ProteinGenPeptBioService"));
        setDescription(NbBundle.getMessage(ProteinGenPeptService.class, "LBL_fetchgenpept"));
    }

    @Override
    public String getID() {
        return "bistro:online:ncbi:proteingenpept";
    }
    
    @Override
    String getDialogLabel() {
        return NbBundle.getMessage (ProteinGenPeptService.class, "LBL_fetchgenpept");
    }
    
    @Override
    String getDialogTitle() {
        return NbBundle.getMessage (ProteinGenPeptService.class, "LBL_enterseqid");
    }

    @Override
    protected Activity getActivity() 
        throws ActivityConfigurationException {
            ProteinGenPeptActivity ac = new ProteinGenPeptActivity();
        ProteinGenPeptActivityConfigurationBean configga
                = new ProteinGenPeptActivityConfigurationBean();
        ac.configure(configga);
        addConfigurationBean(configga);
        return ac;
    }

}
