/*                Bistro development code
* 
* This code may be freely distributed and modified under the
* terms of the GNU Lesser General Public Licence.  This should
* be distributed with the code.  If you do not have a copy,
* see:
*
*     http://www.gnu.org/copyleft/lesser.html
* 
* Copyright for this code is held jointly by the individual
* authors.  These should be listed in @author doc comments.
* 
 */
package org.biobeans.modules.bistro.activity.onlineactivities.ncbi;

import java.util.HashMap;
import java.util.Map;
import org.biobeans.modules.bistro.activity.localactivities.biojava.FASTAToBiojavaActivity;
import org.biobeans.modules.bistro.activity.localactivities.biojava.FASTAToBiojavaActivityConfigurationBean;
import org.biobeans.modules.bistro.data.DataContainer;
import org.biobeans.modules.bistro.data.DataContainerAdapter;
import org.biojavax.bio.seq.RichSequence;
import static org.junit.Assert.assertTrue;
import org.junit.Test;

/**
 *
 * @author George Waldon
 */
public class NucleotideFastaActivityTest {
    
    private String interferon = "L25664";
    
    public NucleotideFastaActivityTest() {
    }

    @Test
    public void testActivity() throws Exception {
        Map<String, DataContainer> inputMap1 = new HashMap<>();
        DataContainerAdapter inAdapter1 = new DataContainerAdapter(inputMap1);
        inAdapter1.putString("id", interferon);
        
        NucleotideFastaActivity ac = new NucleotideFastaActivity();
        NucleotideFastaActivityConfigurationBean configfa = 
                new NucleotideFastaActivityConfigurationBean();
        ac.configure(configfa);
        Map<String, DataContainer> outputMap1 = ac.execute(inputMap1);
        DataContainerAdapter outAdapter1 = new DataContainerAdapter(outputMap1);
        String gbrecord = outAdapter1.getString("outputText");
        
        Map<String, DataContainer> inputMap2 = new HashMap<>();
        DataContainerAdapter inAdapter2 = new DataContainerAdapter(inputMap2);
        inAdapter2.putString("inputText", gbrecord);
        
        FASTAToBiojavaActivity fastatobAc = new FASTAToBiojavaActivity();
        FASTAToBiojavaActivityConfigurationBean config = 
                new FASTAToBiojavaActivityConfigurationBean();
        config.setProteinParser(false);
        fastatobAc.configure(config);
        Map<String, DataContainer> outputMap2 = fastatobAc.execute(inputMap2);
        DataContainerAdapter outAdapter = new DataContainerAdapter(outputMap2);
        RichSequence rseq = (RichSequence)outAdapter.getSerializable("outputSeq");
        
        assertTrue(rseq.length()==588);   
    }
    
}
